# iwa-inspector

source for <https://sheetjs.com/tools/iwa-inspector>

`iwa-inspector` is a tool for inspecting iWork archives.

When a file is loaded, a table will display the messages in the file.

When a message is selected, the page will display the Protocol Buffers
definition for the message as well as an inspector for the message and metadata.

Clicking on a `.TSP.Reference` ID will jump to the referenced message.

Right-clicking a custom message type will show a context menu with options to
copy the raw byte representation (array of numbers) or parsed object (JSON).

## Development

`make dev` starts the dev server.

`make build` generates the static site.

## Refreshing data

`make deps` requires a SIP-disabled Intel Mac. The last run used v13.0 apps.
